PHPExcel_Shared_Escher_DgContainer_SpgrContainer

category | PHPExcel
package | PHPExcel_Shared_Escher
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Add a child.

    addChild(mixed $child)

This will be either spgrContainer or spContainer

### Parameters

#### $child

`mixed`

## Recursively get all spContainers within this spgrContainer

    getAllSpContainers() : \PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer[]

### Returns

`\PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer[]`

## Get collection of Shape Containers

    getChildren()

## Get the parent Shape Group Container if any

    getParent() : \PHPExcel_Shared_Escher_DgContainer_SpgrContainer | null

### Returns

`\PHPExcel_Shared_Escher_DgContainer_SpgrContainer` `null`

## Set parent Shape Group Container

    setParent(\PHPExcel_Shared_Escher_DgContainer_SpgrContainer $parent)

### Parameters

#### $parent

`\PHPExcel_Shared_Escher_DgContainer_SpgrContainer`

### Properties

##

    $_children : array

##

    $_parent : \PHPExcel_Shared_Escher_DgContainer_SpgrContainer